dnl Process this file with autoconf to produce a configure script.
AC_INIT(savutil/docvec.c)
AM_INIT_AUTOMAKE(RA, 1.38)
AM_CONFIG_HEADER(config.h)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_RANLIB
AC_PROG_YACC
AC_PROG_LN_S
AM_PATH_LISPDIR

dnl Checks for libraries.

dnl Checks for header files.
AC_HEADER_DIRENT
AC_HEADER_STDC

AC_CHECK_HEADERS(sys/time.h sys/stat.h unistd.h pwd.h sys/types.h alloca.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_UID_T
AC_TYPE_OFF_T
AC_TYPE_PID_T
AC_TYPE_SIZE_T
AC_CHECK_TYPE(ssize_t, int)
AC_DECL_YYTEXT
AC_HEADER_TIME
AC_STRUCT_TM

dnl Get byte-order and the sizes of these types
AC_C_BIGENDIAN
AC_CHECK_SIZEOF(int)
AC_CHECK_SIZEOF(short)
AC_CHECK_SIZEOF(long)
AC_CHECK_SIZEOF(float)
AC_CHECK_SIZEOF(double)

dnl Checks for library functions.
AC_FUNC_MMAP
AC_CHECK_FUNCS(bcopy bzero getcwd gettimeofday isascii strdup strerror strtol)

INCLUDES="$INCLUDES -I\$(top_srcdir) -I\$(top_srcdir)/savutil"
INCLUDES="$INCLUDES -I\$(top_srcdir)/template -I\$(top_srcdir)/wordvec"
INCLUDES="$INCLUDES -I\$(top_srcdir)/collection"
AC_SUBST(INCLUDES)

AC_OUTPUT([Makefile savutil/Makefile savutil/parsedate/Makefile \
savutil/zlib/Makefile savutil/zlib/amiga/Makefile \
savutil/zlib/contrib/Makefile savutil/zlib/contrib/asm386/Makefile \
savutil/zlib/contrib/iostream/Makefile \
savutil/zlib/contrib/iostream2/Makefile \
savutil/zlib/contrib/minizip/Makefile savutil/zlib/contrib/untgz/Makefile \
savutil/zlib/msdos/Makefile savutil/zlib/nt/Makefile template/Makefile \
wordvec/Makefile collection/Makefile])
